Bug 40651 - rpm won't remove old kernel after upgrade
Summary: rpm won't remove old kernel after upgrade
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-15 06:42 UTC by Philip Hirschhorn
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-16 07:18:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Hirschhorn 2001-05-15 06:42:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.1 i686)

Description of problem:
I used rpm-4.0.2-6x to upgrade my RedHat 6.0 plus most upgrades to 6.2 from
kernel-2.2.5-22 to kernel-2.2.19-6.2.1.  After booting the new kernel I
tried to use "rpm -e kernel-2.2.5" (and got the message "kernel-2.2.5 not
installed" and "rpm -e kernel-2.2.5-22" (and got the message
"kernel-2.2.5-22 not installed") and "rpm -e --test kernel" (and got the
message "kernel specifies multiple packages").  I can delete all the files
of kernel-2.2.5-22 by hand, but how would I then convince rpm that
kernel-2.2.5-22 was no longer installed?

How reproducible:
Always

Steps to Reproduce:
1.Just give the rpm command to attempt to remove the old kernel.
2.
3.
	

Additional info:

Comment 1 Philip Hirschhorn 2001-05-16 07:18:13 UTC
All better now!  I gave the command

  rpm --rebuilddb

after which the command

  rpm -e kernel-2.2.5

removed the old kernel.


Note You need to log in before you can comment on or make changes to this bug.